TYPO3.Flow - Bug # 33719

Status: Closed Priority: Should have
Author: Rens Admiraal Category: Package
Created: 2012-02-06 Assigned To: Rens Admiraal
Updated: 2012-05-07 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: .Shortcuts symlinks use absolute path

Description

The symlinks in the .Shortcuts folder use absolute paths. This is an issue in chrooted environments where the path to the document
root can be a different one then the path in the webserver process.

This causes the symlinks to be working in only one situation: during CLI execution or during a HTTP request, depending on which

generated the symlink.

Related issues:

related to TYPOS.Flow - Bug # 37220: PackageStates.php uses absolute paths

Resolved 2012-05-16

Associated revisions

Revision 1a688df6 - 2012-05-29 11:08 - Rens Admiraal

[BUGFIX] Save relative package path in PackageStates.php

Using absolute paths in the PackageStates.php causes problems in a
chroot environment where the absolute path is different in CLI then
in the HTTPD process.

Also relative paths allow to put PackageStates.php under version
control to maintain a specific state even when paths differ

on development and production systems.

Change-Id: lac40024eee98182f67385f452ade2e 1f2afed82d
Fixes: #37220

Related: #33719

Releases: 1.1, 1.2

Revision 531178a2 - 2012-05-30 11:11 - Rens Admiraal

[BUGFIX] Save relative package path in PackageStates.php

Using absolute paths in the PackageStates.php causes problems in a

chroot environment where the absolute path is different in CLI then

in the HTTPD process.

Also relative paths allow to put PackageStates.php under version

control to maintain a specific state even when paths differ
on development and production systems.
Change-Id: lac40024eee98182{67385f452ade2e 1f2afed82d
Fixes: #37220

Related: #33719

Releases: 1.1, 1.2

History

#1 - 2012-02-06 21:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8868

#2 - 2012-02-08 21:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#3 - 2012-02-09 08:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8868

#4 - 2012-02-09 14:48 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8868

#5 - 2012-02-09 17:45 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#6 - 2012-02-09 20:01 - Bernhard Fischer

The symlinks in the Web/_Resources/Static/Packages folder should also follow relative pathnames for an chrooted installation. Otherwise a cache

warmup on CLI will lead to non-existing pathnames.

The usage of relative symlink creation should be done in general on non Windows systems. This also regards the PrivateResourcesPublishingAspect
class, which uses absolute symlinks as well.

The unit test for Utilitys/Files.php still fails. I'd assume directory symlink removal is done by unlink() but it has to be done by rmdir() even if it is a

symlink.

#7 - 2012-02-09 20:19 - Bastian Waidelich
- Project changed from TYPOG3 Flow Base Distribution to TYPOS.Flow

2015-08-03 2/5


http://review.typo3.org/8868
http://review.typo3.org/8868
http://review.typo3.org/8868
http://review.typo3.org/8868
http://review.typo3.org/8868

#8 - 2012-02-09 20:20 - Bastian Waidelich

- Subject changed from .Shortcuts sumlinks use absolute path to .Shortcuts symlinks use absolute path

- Category set to Package

- Assigned To set to Rens Admiraal
- Target version setto 1.1

- Has patch set to No

#9 - 2012-02-15 22:47 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8868

#10 - 2012-02-19 21:15 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#11 - 2012-02-19 21:18 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8868

#12 - 2012-02-21 00:36 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8868

#13 - 2012-02-21 00:39 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#14 - 2012-02-21 00:50 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#15 - 2012-02-21 10:30 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#16 - 2012-02-21 11:01 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868
#17 - 2012-03-05 19:20 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#18 - 2012-03-06 13:45 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#19 - 2012-03-07 15:35 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#20 - 2012-03-09 23:34 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#21 - 2012-03-12 09:13 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#22 - 2012-03-12 09:14 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#23 - 2012-03-12 18:55 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#24 - 2012-03-16 11:10 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868

#25 - 2012-03-16 11:13 - Gerrit Code Review

Patch set 22 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8868
#26 - 2012-05-07 22:53 - Karsten Dambekalns
- Status changed from Under Review to Closed
- % Done changed from 0 to 100

No more .Shortcuts in current master...
